Bug 1410979 - the modesewtting driver sets wrong DPI
Summary: the modesewtting driver sets wrong DPI
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 04:35 UTC by rosenp
Modified: 2017-12-12 10:12 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:12:34 UTC
Type: Bug


Attachments (Terms of Use)
xorg log of the problem (31.58 KB, text/plain)
2017-01-07 04:35 UTC, rosenp
no flags Details

Description rosenp 2017-01-07 04:35:16 UTC
Created attachment 1238162 [details]
xorg log of the problem

Description of problem:

I have a 256 DPI monitor whereas X11 sets the DPI to 96. Can be verified both in the log and xpdyinfo

Version-Release number of selected component (if applicable):

1.19.0-2

How reproducible:

Always

Steps to Reproduce:
1. Start computer
2. Login to Gnome on Xorg
3. check xdpyinfo for current DPI

Actual results:

[mangix@mangix-laptop ~]$ xdpyinfo | grep -B 2 resol
screen #0:
  dimensions:    3840x2160 pixels (1016x572 millimeters)
  resolution:    96x96 dots per inch

Expected results:

[mangix@mangix-laptop ~]$ xdpyinfo | grep -B 2 resol
screen #0:
  dimensions:    3840x2160 pixels (382x214 millimeters)
  resolution:    255x256 dots per inch

Additional info:

This may or may not be causing DPI issues with some Qt applications.

Xorg log is attached.

Comment 1 Fedora End Of Life 2017-11-16 19:11:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:12:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.